Google Apps Drops Support for 'Firefox 3.5, IE7, Safari 3' As of Aug 1st, Will Only Support Latest Release of Each

Google Apps will now only support modern browsers. As the world moves more to the web, these new browsers are more than just a modern convenience, they're a necessity for what the future holds."Beginning August 1st, we'll support the current and prior major release of Chrome, Firefox, Internet Explorer and Safari on a rolling basis. […]

Google Apps will now only support modern browsers. As the world moves more to the web, these new browsers are more than just a modern convenience, they're a necessity for what the future holds.

"Beginning August 1st, we'll support the current and prior major release of Chrome, Firefox, Internet Explorer and Safari on a rolling basis. Each time a new version is released, we'll begin supporting the update and stop supporting the third-oldest version," announced Google.

"As of August 1st, we will discontinue support for the following browsers and their predecessors: Firefox 3.5, IE7, and Safari 3."

"In these older browsers you may've trouble using certain features in Gmail, Google Calendar, Google Talk, Google Docs and Google Sites, and eventually these apps may stop working entirely," Google said.

So if it's been a while since your last update your browser, its time to get the latest version of your favorite browser. There are many to choose from:

[Source: Google Docs blog]